org.omg.PortableInterceptor

## Interface IORInterceptor_3_0

- All Superinterfaces:
    IDLEntity, Interceptor, InterceptorOperations, IORInterceptor, IORInterceptor_3_0Operations, IORInterceptorOperations, Object, Serializable

      public interface IORInterceptor_3_0
      extends IORInterceptor_3_0Operations, IORInterceptor, IDLEntity

  org/omg/PortableInterceptor/IORInterceptor_3_0.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from ../../../../src/share/classes/org/omg/PortableInterceptor/Interceptors.idl Wednesday, January 29, 2014 2:00:12 PM UTC

- - ### Method Summary

    - ### Methods inherited from interface org.omg.PortableInterceptor.IORInterceptor_3_0Operations

      `adapter_manager_state_changed, adapter_state_changed, components_established`

    - ### Methods inherited from interface org.omg.PortableInterceptor.IORInterceptorOperations

      `establish_components`

    - ### Methods inherited from interface org.omg.PortableInterceptor.InterceptorOperations

      `destroy, name`

    - ### Methods inherited from interface org.omg.CORBA.Object

      `_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.